import requests
from zeep import Client, Settings

class IdehPayamClientApi:
    TYPE_SOAP = 1
    TYPE_REST = 2
    soapUrl = 'http://localhost:8800/idehpayam/new-api/soap.php?wsdl'
    restUrl = 'http://localhost:8800/idehpayam/new-api/rest.php'

    def __init__(self, username, password):
        self.username = username
        self.password = password
    def GetUserCredit(self, type):
        if (type == self.TYPE_REST):
            request = requests.post(self.restUrl, json={"operation": "GetUserCredit", "username": self.username, "password": self.password})
            json = request.json()
            if (json):
                status = json['status']
                if (status == 200):
                    innerStatus = json['result']['status']
                    if (innerStatus == 0):
                        return json['result']['value']
                    else:
                        print("Error code " + innerStatus + " returned.")
                        return 0
                else:
                    print("Response status is not OK")
                    return 0
            else:
                print("Response error")
                return 0
        elif (type == self.TYPE_SOAP):
            client = Client(self.soapUrl)
            result = client.service.GetUserCredit(self.username, self.password)
            if (result):
                if (result['status'] == 0):
                    return result['value']
                else:
                    print("Response status code " + result['status'] + " returned")
                    return 0
            else:
                print("Response error")
                return 0
        else:
            raise Exception('This value for type is not supprted')
            return 0

client = IdehPayamClientApi("prodo", "123456")
credit = client.GetUserCredit(IdehPayamClientApi.TYPE_SOAP)
print(credit)